Name:           perl-Net-CUPS
Version:        0.56
Release:        2%{?dist}
Summary:        Perl bindings to the CUPS C API Interface
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-CUPS/
Source0:        http://www.cpan.org/authors/id/D/DH/DHAGEMAN/Net-CUPS-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# non-perl
BuildRequires:  cups-devel 
# see BZ#455192
BuildRequires:  zlib-devel 

# perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)


# keep from running tests which require admin privs under the Fedora setup
Patch0:         dest_test.patch

%description
Net::CUPS is an interface to the Common Unix Printing System API.  If you feel
an urge to control CUPS servers via perl, this is a good way to do it :)

%prep
%setup -q -n Net-CUPS-%{version}
%patch0

find . -type f -exec chmod -c -x {} +

# until we get BZ#455190 resolved (one way or the other) 
perl -pi -e 's|^#include <cups/i18n.h>|/*#include <cups/i18n.h>*/|' CUPS.xs

# grr. see the long languishing RT#35966
#   (http://rt.cpan.org/Public/Bug/Display.html?id=35966)
perl -pi -e 's|IPP_|Net::CUPS::IPP_|' lib/Net/CUPS/Destination.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} + 
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
%{?!_with_network_tests: mv t/03_destination.t . }
make test
%{?!_with_network_tests: mv 03_destination.t t/  }

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
# not much in the way of examples, so let's throw in the tests.
%doc Changes README TODO t/ examples/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Net*
%{_mandir}/man3/*

%changelog
* Sun Jul 13 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.56-2
- and remove i18n.h from CUPS.xs.  See bz#455190
- add zlib-devel as a BR.  See bz#455192
- patch t/03_destination.t to not test add/remove functionality -- this is an
  admin action under Fedora, if memory serves

* Sun Jul 13 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.56-1
- update to 0.56

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.55-4
Rebuild for new perl

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.55-3
- Autorebuild for GCC 4.3

* Wed Jan 02 2008 Ralf Corsépius <rc040203@freenet.de> 0.55-2
- Adjust Licence-tag.
- Spec file cosmetics.
- BR: perl(Test::More) (BZ 419631).

* Tue Dec 04 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.55-1
- update to 0.55

* Tue Aug 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.51-3
- bump

* Wed Mar 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.51-2
- bump

* Fri Mar 16 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.51-1
- Specfile autogenerated by cpanspec 1.70.
